aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/utils/comgt/files/directip.sh
diff options
context:
space:
mode:
authorLorenzo Santina <lorenzo.santina@edu.unito.it>2017-09-11 15:27:53 +0200
committerMathias Kresin <dev@kresin.me>2017-09-13 08:07:54 +0200
commitfd84ecda7d3bfebb4237110b8efe2ab2713ea8e1 (patch)
tree5d2ed86484e32e8cdc6100e5615be7007cb5cee0 /package/network/utils/comgt/files/directip.sh
parentfb128057da92bdb6b2c4cd9ad9dd87637a4089b3 (diff)
downloadupstream-fd84ecda7d3bfebb4237110b8efe2ab2713ea8e1.tar.gz
upstream-fd84ecda7d3bfebb4237110b8efe2ab2713ea8e1.tar.bz2
upstream-fd84ecda7d3bfebb4237110b8efe2ab2713ea8e1.zip
treewide: fix shellscript syntax errors/typos
Fix multiple syntax errors in shelscripts (of packages only) These errors were causing many conditions to not working properly Signed-off-by: Lorenzo Santina <lorenzo.santina@edu.unito.it> [increase PKG_RELEASE, drop command substitution from directip.sh] Signed-off-by: Mathias Kresin <dev@kresin.em>
Diffstat (limited to 'package/network/utils/comgt/files/directip.sh')
-rw-r--r--package/network/utils/comgt/files/directip.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/package/network/utils/comgt/files/directip.sh b/package/network/utils/comgt/files/directip.sh
index 381bfb0000..3452fa5db7 100644
--- a/package/network/utils/comgt/files/directip.sh
+++ b/package/network/utils/comgt/files/directip.sh
@@ -44,8 +44,7 @@ proto_directip_setup() {
return 1
}
- cardinfo=$(gcom -d "$device" -s /etc/gcom/getcardinfo.gcom)
- [ -n $(echo "$cardinfo" | grep -q "Sierra Wireless") ] || {
+ gcom -d "$device" -s /etc/gcom/getcardinfo.gcom | grep -q "Sierra Wireless" || {
proto_notify_error "$interface" BAD_DEVICE
proto_block_restart "$interface"
return 1